<!DOCTYPE html>
<!--[if IE 8]> <html lang="en" class="ie8 no-js"> <![endif]-->
<!--[if IE 9]> <html lang="en" class="ie9 no-js"> <![endif]-->
<!--[if !IE]><!-->
<html lang="en">
    <!--<![endif]-->
    <!-- BEGIN HEAD -->

    <head>
        <meta charset="utf-8" />
        <title>jQuery Verifigator Plugin Demo</title>
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta content="width=device-width, initial-scale=1" name="viewport" />
        <link href="jQuery.Verifigator.css" rel="stylesheet" type="text/css" />
        <script src="jquery-3.1.1.min.js" type="text/javascript"></script>
        <script src="jQuery.Verifigator.js" type="text/javascript"></script>
        <script>

            $(document).ready(function(){
                
                $("#vopc-form1").Verifigator({
                    apikey:'apidemo_cde-67874f',
                    requires:{
                        full_name: 'user_name',
                        email_address: 'email_address1'
                    },
                    errors:{
                        main: "main_error"
                    },
                    require_full_name: 1,
                    debug:1,
                    done: function(data){
                        console.log(data);
                    }

                });
                
                $("#vopc-form2").Verifigator({
                    apikey:'apidemo_cde-67874f',
                    requires:{
                        email_address: 'email_address2',
                        first_name: 'first_name',
                        last_name: 'last_name'
                    },
                    require_full_name: 1,
                    debug:1,
                    done: function(data){
                        console.log(data);
                    }

                });

                $("#vopc-form3").Verifigator({
                    apikey:'apidemo_cde-67874f',
                    requires:{
                        email_address: 'email_address3'
                    },
                    require_full_name: 0,
                    debug:0,
                    done: function(data){
                        console.log(data);
                    }

                });

            });
            
        </script>
    </head>
    <body>
		
        <h1>Verifigator jQuery Plugin Demo Page</h1>
		<p>This page shows you have to use the Verifigator jQuery plugin to validate a HTML form's input before accepting the form from the user.</p>
        
        <h2>Demo Form 1</h2>
        <p>In this form, we ask the user's name with one field.</p>
        <p id="main_error"></p>
        <form role="form" name="vopc-form1" id="vopc-form1" action="">
            <p>
                <label for="email_address">Your Email Address</label>
                <input type="text" name="email_address1" id="email_address1" value="">
            </p>
            <p>
                <label for="user_name">Your Name</label>
                <input type="text" name="user_name"  id="user_name" value="">
            </p>
            <button type="submit">Submit</button>
        </form>
        
        <h2>Demo Form 2</h2>
        <p>In this form, we ask the user's name with two fields.</p>
        <form role="form" name="vopc-form2" id="vopc-form2" action="">
            <p>
                <label for="email_address">Email Address</label>
                <input type="text" name="email_address2" id="email_address2" value="">
            </p>
            <p>
                <label for="first_name">First Name</label>
                <input type="text" name="first_name" id="first_name" value="">
            </p>
            <p>
                <label for="last_name">Last Name</label>
                <input type="text" name="last_name" id="last_name" value="">
            </p>
            <button type="submit">Submit</button>
        </form>


        <h2>Demo Form 3</h2>
        <p>In this form, we ask the user's name with two fields.</p>
        <form role="form" name="vopc-form3" id="vopc-form3" action="">
            <p>
                <label for="email_address">Email Address</label>
                <input type="text" name="email_address3" id="email_address3" value="">
            </p>
            <button type="submit">Submit</button>
        </form>
        
        
    </body>
</html>